# Set-RASSchedule.md

## NAME

Set-RASSchedule

## SYNOPSIS

Modifies a Schedule.

## SYNTAX

**Set-RASSchedule** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDS | VDI | AVD} \[[CompleteIn](#completein-string) *(uint)*] \[[Description](#description-string) *(string)*] \[[DurationInSecs](#durationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableDrainMode](#enabledrainmode-string) *(bool)*] \[[EnforceScheduleInactiveHost](#enforcescheduleinactivehost-string) *(bool)*] \[[ForceServerRebootAfter](#forceserverrebootafter-string) *(uint)*] \[[MembersToStart](#memberstostart-string) *(uint)*] \[[NewName](#newname-string) *(string)*] \[[OnDisable](#ondisable-string) *(bool)*] \[[PercentageMembers](#percentagemembers-string) *(uint)*] \[[PoolMembersType](#poolmemberstype-string) *(uint)*] \[[PowerOnAssignedPoolMembers](#poweronassignedpoolmembers-string) *(uint)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASSchedule** \[-[InputObject](#inputobject)] *(*[*Schedule*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule.md)*)* \[[CompleteIn](#completein-string) *(uint)*] \[[Description](#description-string) *(string)*] \[[DurationInSecs](#durationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableDrainMode](#enabledrainmode-string) *(bool)*] \[[EnforceScheduleInactiveHost](#enforcescheduleinactivehost-string) *(bool)*] \[[ForceServerRebootAfter](#forceserverrebootafter-string) *(uint)*] \[[MembersToStart](#memberstostart-string) *(uint)*] \[[NewName](#newname-string) *(string)*] \[[OnDisable](#ondisable-string) *(bool)*] \[[PercentageMembers](#percentagemembers-string) *(uint)*] \[[PoolMembersType](#poolmemberstype-string) *(uint)*] \[[PowerOnAssignedPoolMembers](#poweronassignedpoolmembers-string) *(uint)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASSchedule** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDS | VDI | AVD} \[[CompleteIn](#completein-string) *(uint)*] \[[Description](#description-string) *(string)*] \[[DurationInSecs](#durationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[EnableDrainMode](#enabledrainmode-string) *(bool)*] \[[EnforceScheduleInactiveHost](#enforcescheduleinactivehost-string) *(bool)*] \[[ForceServerRebootAfter](#forceserverrebootafter-string) *(uint)*] \[[MembersToStart](#memberstostart-string) *(uint)*] \[[NewName](#newname-string) *(string)*] \[[OnDisable](#ondisable-string) *(bool)*] \[[PercentageMembers](#percentagemembers-string) *(uint)*] \[[PoolMembersType](#poolmemberstype-string) *(uint)*] \[[PowerOnAssignedPoolMembers](#poweronassignedpoolmembers-string) *(uint)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies a Schedule property.

## PARAMETERS

## Name (string)

Scheduler job name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the schedule job.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Scheduler job ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([ScheduleObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduleobjtype.md))

Schedule object type.

Possible values: RDS, VDI, AVD

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Schedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule.md))

An object of type Schedule representing the target scheduler job.

To obtain the object, use the Get-RASSchedule command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewName (string)

A new name for the scheduler job.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Whether to enable or disable the schedule.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

Schedule description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## StartDateTime (DateTime)

Start time. Default: Now.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DurationInSecs (double)

Duration in seconds.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Repeat ([RepeatType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/repeattype.md))

Repeat interval. Default: EveryWeek

Accepted values: Never, EveryDay, EveryWeek, Every2Weeks, EveryMonth, EveryYear.

Possible values: Never, EveryDay, EveryWeek, Every2Weeks, EveryMonth, EveryYear, SpecificDays

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SpecificDays

([RepeatSpecificDays](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/repeatspecificdays.md)) Repeat on Specific Days.

Possible values: Never, Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CompleteIn (uint)

The duration of the scheduler task in seconds. Minimum: 60 seconds. Maximum: 2592000 seconds (30 days).

Default: 900 seconds for disable task, 600 seconds for reboot task.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PoolMembersType (uint)

Whether to select the percentage or specific number of members to be started

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PercentageMembers (uint)

Percentage of members to be started

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MembersToStart (uint)

Specific number of members to be started

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PowerOnAssignedPoolMembers (uint)

Power On Assigned Pool Members

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableDrainMode (bool)

Whether to enable Drain Mode

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ForceServerRebootAfter (uint)

Force server reboot after the specified time in seconds

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnforceScheduleInactiveHost (bool)

Enforce schedule for currently inactive host

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## OnDisable (bool)

What action to take on Disable

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Schedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASSchedule "My Schedule" -ObjType RDS -Enabled $False

Disables the Schedule property specified by name.\
\*\*---------- EXAMPLE 2 ----------

Set-RASSchedule -Id 10 -ObjType RDS -Enabled $False

Disables the Schedule property specified by ID.\
\*\*---------- EXAMPLE 3 ----------

Set-RASSchedule $Schedule -Enabled $False

Disables the Schedule property specified by the $Schedule variable (an object of type Schedule).

## RELATED LINKS

* [New-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasschedule.md)
* [Get-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedule.md)
* [Remove-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasschedule.md)
* [Add-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasschedulemessage.md)
* [Remove-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasschedulemessage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasschedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
